//g++ -o ./icon-desk ./icon-desk.c -lXinerama -lXft  -lX11 -lImlib2 -lXmu  `pkg-config --cflags --libs ib-2.0` `giblib-config --cflags --libs` -lcurl -lpng
//#include "config.h"
#include <libexif/exif-data.h>
#include <stdio.h>
#include <gnu-versions.h>
#include <curl/curl.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <string.h>
#include <limits.h>
#include <X11/Xfuncproto.h>
#include <X11/Intrinsic.h>	/* Xlib, Xutil, Xresource, Xfuncproto */
#include <X11/X.h>
#include <X11/Xproto.h>
#include <X11/Xlib.h>
#include <X11/extensions/XShm.h>
#include <X11/Xutil.h>
#include <X11/extensions/shape.h>
#include <X11/Xatom.h>
#include <X11/Xos.h>
//#include <dmalloc.h>
//#include <X11/keysym.h>
#include <X11/Xresource.h>
#ifdef HAVE_LIBXINERAMA
#include <X11/extensions/Xinerama.h>
#endif				/* HAVE_LIBXINERAMA */
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <sys/stat.h>
#include <pwd.h>
#include <sys/time.h>
#include <sys/un.h>
#include <errno.h>
#include <dirent.h>
#include <stdarg.h>
#include <signal.h>
#include <sys/wait.h>
#include <math.h>
#include <Imlib2.h>
#include <giblib/giblib.h>
#include <png.h>
#include <stdarg.h>
#include <stdarg.h>
#include <stdlib.h>
#include <unistd.h>
#include <math.h>

#include "debug.h"
//#include "events.h"
#include "exif.h"
#include "exif_nikon.h"
#include "feh_png.h"
#include "structs.h"
#include "filelist.h"
#include "getopt.h"
#include "md5.h"
#include "timers.h"
#include "options.h"
#include "signals.h"
//#include "thumbnail.h"
#include "utils.h"
#include "wallpaper.h"
#include "winwidget.h"
#include "index.h"
#include "menu.h"
#include "feh.h"
#include "collage.c"
//#include "events.c"
#include "exif.c"
#include "feh_png.c"
#include "filelist.c"
#include "getopt.c"
#include "getopt1.c"
#include "imlib.c"
#include "index.c"
//#include "keyevents.c"
#include "list.c"
#include "main.c"
#include "md5.c"
#include "menu.c"
//#include "multiwindow.c"
#include "options.c"
#include "signals.c"
#include "slideshow.c"
//#include "thumbnail.c"
#include "timers.c"
#include "utils.c"
#include "wallpaper.c"
#include "winwidget.c"




Display            *disp;
Window              win;
Window              win2;
Visual             *vis;
Colormap            cm;
int                 depth;
XSetWindowAttributes attr;

int main(int argc, char **argv)
{
  int                 w, h, x, y;
  Imlib_Image         im_bg = NULL;
  XEvent              ev;
  const char         *display_name = getenv("DISPLAY");
  Imlib_Image         buffer;
  Imlib_Image         back;
  Imlib_Image         bigback;
  Imlib_Font          font;
  Imlib_Color_Range   range;
  int  text_w, text_h;
  if (display_name == NULL)
    display_name = ":0";
  disp = XOpenDisplay(display_name);
  if (disp == NULL)
  {
    fprintf(stderr, "Can't open display %s\n", display_name);
    return 1;
  }
  int screen=DefaultScreen(disp);
  int screenWidth=0;
  screenWidth=XDisplayWidth(disp,screen);
//  screenWidth=64;
  int screenHeight=XDisplayHeight(disp,screen);
//  screenHeight=64;
  int screenX=10;
  int screenY=10;
  int lowerraise=0;
  char picname[1024];
  char title[1024];
  int xl=0;
  int yl=0;
  int store=0;
  int autohidemainbutton=0;
  int MouseMoveOpenSubIcon=0;
  int s_g;
  int last_max_win_id=0;
  char submenue[1000];
  int bord=0;
  char home[1024];
  sprintf(home,"%s",getenv("HOME"));
  Window root_win;
  if ( home == "" )
  {
    printf("fatal error: no /home/xxx found!\n");
    return 1;
  }

  vis = DefaultVisual(disp, DefaultScreen(disp));
  depth = DefaultDepth(disp, DefaultScreen(disp));
  cm = DefaultColormap(disp, DefaultScreen(disp));
  root_win = RootWindow(disp, DefaultScreen(disp));
        // text

   /**
    * Start rendering
    */


//--
  w=screenWidth;
  h=screenHeight;
  char back_pic[1280];
  sprintf(back_pic,"%s/.icon-DE/pics/background.png",home);
  back = imlib_load_image("/usr/share/wallpapers/Storm/contents/images/1600x1200.jpg");
//  feh_file_new("/usr/share/wallpapers/Storm/contents/images/1600x1200.jpg");

  atexit(feh_clean_exit);
  setup_signal_handlers();
  init_parse_options(argc, argv);
  init_imlib_fonts();
  if (opt.display) {
	init_x_and_imlib();
//	init_keyevents();
//	init_buttonbindings();
  }
//  feh_event_init();
//  feh_wm_set_bg_filelist(BG_MODE_FILL);
  feh_wm_set_bg("", back, 0, 0, 1, 0, 0) ;
  
  char usermenufile[1024];
  char result[1024]="";
  char run_mode[1024]="";
  int i=0;
  char command[1024]=" ";
  FILE *freeNum;
  char skip[1024]=" ";
     
  char rcfile[10]="desk.rc";
  sprintf(usermenufile,"%s/.icon-DE/%s",home,rcfile);
  freeNum=fopen(usermenufile,"r");
  if ( freeNum==NULL)
  { 
    printf("error on open %s\n",usermenufile); 
    exit(1); 
  }
  int gc=0;
  int gd=1;
  char ch;
  char ch2[1024];
  char buffer_rc[1024];
  int n=0;
  int m=0;
  char group[1024]="0";
  int show_sys_inf=0;
  while ( ! feof(freeNum) )
  {
    fgets(buffer_rc,1024,freeNum);
    for (n=0;n<1024;n++)
      if (buffer_rc[n]=='\n') buffer_rc[n]='\0';
        sprintf(command,"");
    if (strcmp(buffer_rc,"")!=0 )
    {
      sprintf(ch2,"%c",buffer_rc[0]);
      if (strcmp(ch2,"#")!=0 ) 
      {
        sprintf(command,"./iconrun4 %s &",buffer_rc);
        printf("./iconrun4 %s &\n",buffer_rc);
        system(command);
      } 
    }
  }
  fclose(freeNum);

  while (1)
  {
    Imlib_Image        temp, temp2;
    do
    {
      XNextEvent(disp, &ev);
      switch (ev.type)
      {
        case Expose:

          XSync(disp, False);
          break;
        case MotionNotify:
          x = ev.xmotion.x;
          y = ev.xmotion.y;
        default:
          break;
       case EnterNotify:		
          x = ev.xmotion.x;
          y = ev.xmotion.y;

          break;

       case LeaveNotify:		
//          x = -screenWidth/2;
//          y = -screenHeight/2;	

//          mytoggle = 0;

//          XDestroyWindow(disp,win2);
	
          break;

       case ButtonPress:				
         if(ev.xbutton.button==1)
		{
//            exposelist();
		}
         if(ev.xbutton.button==3)
		{
                                    /* if we click anywhere in the window, exit */
//                                   exit(0);
          break;
        }

    }
  }
  while (XPending(disp));

}

   return 0;
}

